# $Revision: 1.20 $, $Date: 2007/05/26 22:32:44 $
# TODO: integrate hdlc support into rc-scripts, drop sethdlc.init from doc
#
Summary:	Tool for synchronous cards
Summary(pl.UTF-8):	Narzędzie do konfiguracji kart synchronicznych
Name:		sethdlc
Version:	1.18
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.kernel.org/pub/linux/utils/net/hdlc/%{name}-%{version}.tar.gz
# Source0-md5:	9016878156a5eadb06c0bae71cc5c9ab
Source1:	%{name}.init
Patch0:		%{name}-tahoe.patch
URL:		http://www.kernel.org/pub/linux/utils/net/hdlc/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tool for synchronous cards.

%description -l pl.UTF-8
Narzędzie do konfiguracji kart synchronicznych.

%prep
%setup -q
%patch0 -p1

cp %{SOURCE1} .
rm -f sethdlc

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"\
	INCLUDES=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

install sethdlc $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc sethdlc.init
%attr(755,root,root) %{_sbindir}/sethdlc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sethdlc.spec,v $
Revision 1.20  2007/05/26 22:32:44  qboosh
- updated to 1.18
- tahoe patch replaced with less invasive and more compatible one, dropped tahoe bcond
- don't install init script (moved to doc; to be dropped or replaced by some
  README after integrating hdlc support into rc-scripts)

Revision 1.19  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.17  2006/11/13 15:04:12  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.16  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.15  2006/04/20 17:39:29  glen
- use %service, fix chkconfig deps

Revision 1.14  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.13  2005/06/05 16:54:06  lukasz
- fixed URL

Revision 1.12  2005/03/18 20:39:33  darekr
- fixed perms for init script

Revision 1.11  2005/02/18 19:23:11  qboosh
- unified

Revision 1.10  2005/02/16 00:40:44  djrzulf
- clean todo,

Revision 1.9  2005/02/16 00:39:38  djrzulf
- Rel 3,
- added init script for Frame Relay.

Revision 1.8  2005/01/10 07:42:10  djrzulf
- fixed make,

Revision 1.7  2005/01/10 07:40:42  djrzulf
- patch for tahoe updated, STBR ac-test --with tahoe,

Revision 1.6  2005/01/09 22:37:16  djrzulf
- fixed path, it should be at /usr/sbin/ :),

Revision 1.5  2005/01/09 22:18:18  adamg
- fix (?) compilation

Revision 1.4  2005/01/09 21:43:27  djrzulf
- Rel 1, finished, STBR for AC-TEST,

Revision 1.3  2005/01/08 16:39:38  djrzulf
- it'll be better for all of us, i think :),

Revision 1.2  2005/01/08 02:06:30  qboosh
- initial pl

Revision 1.1  2005/01/07 09:09:10  djrzulf
- initial, look at TODO,
